class ExecutorAgentManagerAbstract:
    # 健康检查，每个10s调用一次
    def check_health(self, context):
        pass

    # 一个task执行完成，调用一次
    def get_context(self, context):
        pass

    # 每个1min调用一次
    def get_check_point(self, context):
        pass

    # 一个task要执行，调用一次
    def run(self, context):
        pass

    # task执行被上层kill，调用一次
    def kill(self, context):
        pass

    # task执行中会被调用， failed / running / succeed / killed
    def status(self, context):
        pass
