# -*- coding: utf-8 -*-
from abc import ABC
from ..HandlerAbstract import HandlerAbstract


class DefaultHandler(HandlerAbstract, ABC):
    def __init__(self, processor):
        super(DefaultHandler, self).__init__(processor)

    def pre_handler(self):
        self.processor.get_logger().info("DefaultHandler pre handler.")

    def post_handler(self):
        self.processor.get_logger().info("DefaultHandler post handler.")
