# -*-coding:utf-8-*-

from flask import Flask, request

_app = Flask(__name__)
partition_map = {}

# 数据分片ID
DATA_PARTITION_ID = "dataPartitionId"
# 数据分片ID列表
DATA_PARTITION_ID_LIST = "dataPartitionIds"


def execute():
    _app.run(host='127.0.0.1', port=9001)


@_app.post("/autoDrive/parallelCompute/dataPartition/create")
def create_data_partition():
    body_param = request.get_json()
    partition_map[body_param[DATA_PARTITION_ID]] = body_param
    return


@_app.post("/autoDrive/parallelCompute/dataPartition/save")
def save_data_partition():
    return


@_app.post("/autoDrive/parallelCompute/dataPartition/submit")
def submit_data_partition():
    return


@_app.post("/autoDrive/parallelCompute/dataPartition/unstructured/load")
def load_unstructured_data_partition():
    return


@_app.post("/autoDrive/parallelCompute/dataPartition/get")
def get_data_partition():
    body_param = request.get_json()
    return partition_map[body_param[DATA_PARTITION_ID]]


@_app.post("/autoDrive/parallelCompute/dataPartition/fileTree/scan")
def scan_file_tree():
    return None
