from enum import Enum


class DataTypeEnum(Enum):
    camera_img = '图像'
    camera_video = '视频'
    lidar_pcd = '激光雷达点云'
    lidar_scan = '激光雷达扫描'
    mmw_radar_pcd = '毫米波雷达点云'
    mmw_radar_scan = '毫米波雷达扫描'
    mmw_radar_track = '毫米波雷达追踪'
    obstacle = '动态障碍物'
    imu = 'imu数据'
    pose = '姿态数据'
    vhcmon = '车辆监控数据'
    rosbag = 'rosbag数据'
    gps = 'gps数据'
    odom = '里程计数据'
    canbus = 'canbus数据'
    map = '地图数据'
    routing = '导航数据'
    trajectory = '轨迹数据'
    tf = '坐标变换数据'
    map_opendrive = 'openDrive地图'
