# -*- coding: utf-8 -*-
from ali_autodrive.parallel_compute.local_test import simulate_executor_agent, simulate_data_store

import configparser
import json

config = configparser.ConfigParser()
config.read("./config.ini", encoding="utf-8")
debug_mode = config.getboolean("debug", "debug_mode")


def simulate():
    if debug_mode is False:
        print("Debug mode is false.")
        return

    try:
        # 模拟数据存储服务
        simulate_data_store.execute()

        # 模拟任务调度服务
        simulate_executor_agent.execute()
    except Exception as e:
        print("simulate finish, execute fail.")
        print(json.dumps(e.__dict__))

    print("simulate finish, execute success.")
